pydo.spaces_key.patch()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.spaces_key.patch(
access_key="DOACCESSKEYEXAMPLE",
body={
"name": "my-access-key",
"grants": [...],
},
)Description
To update Spaces Access Key, send a PUT or PATCH request to /v2/spaces/keys/{access_key}. At the moment, you cannot convert a
fullaccess key to a scoped key or vice versa. You can only update the name of the key.
Parameters
access_keystring requiredThe access key's ID.
namestring optionalExample:
my-access-keyThe access key's name.
grantsarray of objects optionalThe list of permissions for the access key.
Show child properties
bucketstring requiredExample:
my-bucketThe name of the bucket.
permissionstring requiredExample:
readThe permission to grant to the user. Possible values are
read,readwrite,fullaccess, or an empty string.
access_keystring optional read-onlyExample:
DOACCESSKEYEXAMPLEThe Access Key ID used to access a bucket.
created_atstring optional read-onlyExample:
2018-07-19T15:04:16ZThe date and time the key was created.
Request Sample
Response Example
More Information
See /v2/spaces/keys/{access_key} in the API reference for additional detail on responses, headers, parameters, and more.